Loading...
Searching...
No Matches
coap_socket_t Struct Reference

`#include <coap_io_internal.h>`

Collaboration diagram for coap_socket_t:
[legend]

## Data Fields

coap_fd_t | fd
coap_socket_flags_t | flags
| 1 or more of COAP_SOCKET* flag values
coap_session_t * | session
| Used to determine session owner.
coap_endpoint_t * | endpoint
| Used by the epoll logic for a listening endpoint.
coap_address_t | mcast_addr
| remote address and port (multicast track)
coap_layer_func_t | lfunc [COAP_LAYER_LAST]
| Layer functions to use.

## Detailed Description

Definition at line 38 of file coap_io_internal.h.

## Field Documentation

## endpoint

coap_endpoint_t* coap_socket_t::endpoint

Used by the epoll logic for a listening endpoint.

Definition at line 62 of file coap_io_internal.h.

## fd

coap_fd_t coap_socket_t::fd

Definition at line 57 of file coap_io_internal.h.

## flags

coap_socket_flags_t coap_socket_t::flags

1 or more of COAP_SOCKET* flag values

Definition at line 59 of file coap_io_internal.h.

## lfunc

coap_layer_func_t coap_socket_t::lfunc[COAP_LAYER_LAST]

Layer functions to use.

Definition at line 68 of file coap_io_internal.h.

## mcast_addr

coap_address_t coap_socket_t::mcast_addr

remote address and port (multicast track)

Definition at line 66 of file coap_io_internal.h.

## session

coap_session_t* coap_socket_t::session

Used to determine session owner.

Definition at line 60 of file coap_io_internal.h.

The documentation for this struct was generated from the following file:

- coap_io_internal.h